Bullet Collision Detection & Physics Library: btCollisionAlgorithmCreateFunc Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btCollisionAlgorithmCreateFunc Struct Reference

Used by the btCollisionDispatcher to register and create instances for btCollisionAlgorithm. More...

`#include <btCollisionCreateFunc.h>`

Inheritance diagram for btCollisionAlgorithmCreateFunc:
[legend]

## Public Member Functions
| btCollisionAlgorithmCreateFunc ()
virtual | ~btCollisionAlgorithmCreateFunc ()
virtual btCollisionAlgorithm * | CreateCollisionAlgorithm (btCollisionAlgorithmConstructionInfo &, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap)

## Public Attributes
bool | m_swapped

## Detailed Description

Used by the btCollisionDispatcher to register and create instances for btCollisionAlgorithm.

Definition at line 26 of file btCollisionCreateFunc.h.

## Constructor & Destructor Documentation

## ◆ btCollisionAlgorithmCreateFunc()

btCollisionAlgorithmCreateFunc::btCollisionAlgorithmCreateFunc | ( |  | ) |
| inline

Definition at line 30 of file btCollisionCreateFunc.h.

## ◆ ~btCollisionAlgorithmCreateFunc()

virtual btCollisionAlgorithmCreateFunc::~btCollisionAlgorithmCreateFunc | ( |  | ) |
| inlinevirtual

Definition at line 34 of file btCollisionCreateFunc.h.

## Member Function Documentation

## ◆ CreateCollisionAlgorithm()

virtual btCollisionAlgorithm* btCollisionAlgorithmCreateFunc::CreateCollisionAlgorithm | ( | btCollisionAlgorithmConstructionInfo & | ,
|  | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap
| ) |  |
| inlinevirtual

Reimplemented in btSphereSphereCollisionAlgorithm::CreateFunc, btSoftSoftCollisionAlgorithm::CreateFunc, btSoftRigidCollisionAlgorithm::CreateFunc, btSoftBodyConcaveCollisionAlgorithm::SwappedCreateFunc, btSoftBodyConcaveCollisionAlgorithm::CreateFunc, btGImpactCollisionAlgorithm::CreateFunc, btSphereTriangleCollisionAlgorithm::CreateFunc, btSphereBoxCollisionAlgorithm::CreateFunc, btEmptyAlgorithm::CreateFunc, CreateFunc, btConvexPlaneCollisionAlgorithm::CreateFunc, btConvexConvexAlgorithm::CreateFunc, btConvexConcaveCollisionAlgorithm::SwappedCreateFunc, btConvexConcaveCollisionAlgorithm::CreateFunc, btConvex2dConvex2dAlgorithm::CreateFunc, btCompoundCompoundCollisionAlgorithm::SwappedCreateFunc, btCompoundCompoundCollisionAlgorithm::CreateFunc, btCompoundCollisionAlgorithm::SwappedCreateFunc, btCompoundCollisionAlgorithm::CreateFunc, btBoxBoxCollisionAlgorithm::CreateFunc, and btBox2dBox2dCollisionAlgorithm::CreateFunc.

Definition at line 36 of file btCollisionCreateFunc.h.

## Member Data Documentation

## ◆ m_swapped

bool btCollisionAlgorithmCreateFunc::m_swapped

Definition at line 28 of file btCollisionCreateFunc.h.

The documentation for this struct was generated from the following file:

- btCollisionCreateFunc.h